MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032287Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2021-04-07 15:382021-04-14 16:34
Reporterasuraven 
Assigned Tomsv 
PrioritynormalSeverityminor 
StatusnewResolutionopen 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032287: Modeling Algorithms - mkoffset creates float numbers precision size edges
DescriptionSome mkoffset's tests creates float numbers presition size edges.
For example:
start point coord: -35.0471942222598 -36.8621970324173 22.9584554097165
end point coord: -35.0471941490652 -36.8621969901583 22.9584554118939
In branch CR23731_7 the shapes have faulty result of the checkshape command, but fixshape command fix this problem.
Steps To Reproducepload MODELING
set env(CSF_TestDataPath) "//salomer001/dn62/occt_tests_data"
brestore [locate_data_file offset_wire_078.brep] s
mkoffset result s 1 -2.367635
# "Faulty shapes in variables faulty_1 to faulty_2" in output
checkshape result_1
fixshape result_fix result_1
# "This shape seems to be valid" in output
checkshape result_fix
Additional information
and documentation updates
related tests:
- offset wire_closed_inside_0_005 B2
- offset wire_closed_inside_0_005 G1
- offset wire_closed_inside_0_005 G4
- offset wire_closed_inside_0_005 I8
- offset wire_closed_inside_0_025 I8 (fixshape not fixed the problem)
- offset wire_closed_outside_0_005 B2 (fixshape not fixed Tthe problem)
- offset wire_closed_outside_0_005 C6
- offset wire_closed_outside_0_005 D4
- offset wire_closed_outside_0_005 G2
- offset wire_closed_outside_0_005 G4 (fixshape not fixed the problem)
- offset wire_unclosed_outside_0_005 A1 (fixshape partially fixed the problem)
- offset wire_unclosed_outside_0_005 C4
- offset wire_unclosed_outside_0_025 A1
- perf modalg bug165_5




TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0031871assignedasuraven Open CASCADE Modeling Algorithms - Elaborate consistent shape validity criteria 

-  Notes
(0100172)
asuraven (developer)
2021-04-07 16:32
edited on: 2021-04-12 11:05




- Issue History
Date Modified Username Field Change
2021-04-07 15:38 asuraven New Issue
2021-04-07 15:38 asuraven Assigned To => msv
2021-04-07 15:39 asuraven Relationship added related to 0031871
2021-04-07 15:40 asuraven Relationship added related to 0023731
2021-04-07 16:32 asuraven Note Added: 0100172
2021-04-07 16:32 asuraven Additional Information Updated View Revisions
2021-04-07 18:00 asuraven Additional Information Updated View Revisions
2021-04-12 11:05 asuraven Note Edited: 0100172 View Revisions
2021-04-14 16:34 asuraven Summary Modeling Algorithms - mkoffset creates float numbers presition size edges => Modeling Algorithms - mkoffset creates float numbers precision size edges


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker